Subject: RE: switching linux kernels

From: "Rob Taylor" <[email-masked]>
Date: Wed, 27 Sep 2000 10:31:56 +0100

> Please don't use in/out macros on PowerPC....especially on 8xx their
> underlying address arithmetic will likely break more things that it
> fixes.
> Use memory mapped I/O (readb/writeb, etc.) and ioremap().....

presumably this is due to int in/out macros adding _IO_BASE to the pointer? So
am I right in thinking that it makes sense to use in/out for ISA accesses (if
_IO_BASE is set correctly for your platform) and readb/writeb/.. for the rest of
your memory mapped registers?

Thanks,
Rob Taylor
Flying Pig Systems

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/